1 Reply Latest reply: Jan 5, 2013 6:32 AM by Klaus1
gahar Level 1 Level 1 (0 points)

I want to upgrade my operating software to 10.7 or newer but there doesn't seem to be any place that tells me what i need to do to accomlish this. I have an early 2006 imac running 10.4.11. can anyone help?


iMac (20-inch Early 2006), Mac OS X (10.4.11)